#include <Tic.h>

//Initializing I2C devices
TicI2C tic1(14);
TicI2C tic2(15);

void setup() {
  Wire.begin(); // Begin I2C Bus
  delay(20);

//Start Motors

  Serial.begin(9600);
}

void loop() {
  if (Serial.available() > 0) {

    String input = Serial.readStringUntil('\n'); //Read Input given in console

    // Commands Listed for Tic devices
    if (input == "moveUp") {
      tic1.exitSafeStart();
      tic1.setTargetPosition(5500);
      delay(1000);
      tic1.haltAndHold();
    }

    else if (input == "moveDown") {
      tic1.exitSafeStart();
      tic1.setTargetPosition(0);
      delay(1000);
      tic1.haltAndHold();
    }

    else if (input == "goUp") {
      tic2.exitSafeStart();
      tic2.setTargetPosition(5500);
      delay(1000);
      tic2.haltAndHold();
    }
    else if (input == "goDown") {
      tic2.exitSafeStart();
      tic2.setTargetPosition(0);
      delay(1000);
      tic2.haltAndHold();
    }
  }
}
